edu.isi.pegasus.planner.invocation

## Class Regular

- java.lang.Object
- - org.griphyn.vdl.Chimera
  - - edu.isi.pegasus.planner.invocation.Invocation
    - - edu.isi.pegasus.planner.invocation.File
      - - edu.isi.pegasus.planner.invocation.Regular

All Implemented Interfaces:
  HasFilename, HasText, java.io.Serializable

    public class Regular
    extends File
    implements HasFilename

This class is the container for a regular file object. A regular file object contains just a filename.

Version:
  $Revision$
Author:
  Jens-S. Vöckler, Yong Zhao
See Also:
  Serialized Form

### Field Summary

Fields
`protected java.lang.String` `m_filename` Name of the file.

### Fields inherited from class edu.isi.pegasus.planner.invocation.File

`m_hexbyte`

### Constructor Summary

Constructors
Constructor and Description
`Regular()` Default c'tor: Construct a hollow shell and allow further information to be added later.
`Regular(java.lang.String filename)` Constructs a regular file.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getFilename()` Accessor
`void` `setFilename(java.lang.String filename)` Accessor.
`void` `toXML(java.io.Writer stream, java.lang.String indent, java.lang.String namespace)` Dump the state of the current element as XML output.

### Methods inherited from class edu.isi.pegasus.planner.invocation.File

`appendValue, getValue, setValue, toString`

### Methods inherited from class org.griphyn.vdl.Chimera

`escape, quote, toString, toXML, toXML, writeAttribute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### m_filename

    protected java.lang.String m_filename

Name of the file.

### Constructor Detail

#### Regular

    public Regular()

Default c'tor: Construct a hollow shell and allow further information to be added later.

#### Regular

    public Regular(java.lang.String filename)

Constructs a regular file.

Parameters:
  `filename` - is the name of the file that stat was invoked

### Method Detail

#### getFilename

    public java.lang.String getFilename()

Accessor

Specified by:
  `getFilename` in interface `HasFilename`
Returns:
  the name of the file objects. Null is legal.
See Also:
  `setFilename(String)`

#### setFilename

    public void setFilename(java.lang.String filename)

Accessor.

Specified by:
  `setFilename` in interface `HasFilename`
Parameters:
  `filename` -
See Also:
  `getFilename()`

#### toXML

    public void toXML(java.io.Writer stream,
                      java.lang.String indent,
                      java.lang.String namespace)
               throws java.io.IOException

Dump the state of the current element as XML output. This function traverses all sibling classes as necessary, and converts the data into pretty-printed XML output. The stream interface should be able to handle large output efficiently.

Specified by:
  `toXML` in class `org.griphyn.vdl.Chimera`
Parameters:
  `stream` - is a stream opened and ready for writing. This can also be a string stream for efficient output.
  `indent` - is a `String` of spaces used for pretty printing. The initial amount of spaces should be an empty string. The parameter is used internally for the recursive traversal. If a `null` value is specified, no indentation nor linefeeds will be generated.
  `namespace` - is the XML schema namespace prefix. If neither empty nor null, each element will be prefixed with this prefix, and the root element will map the XML namespace.
Throws:
  `java.io.IOException` - if something fishy happens to the stream.
See Also:
  `BufferedWriter`